def lunar_add(a: str, b: str) -> str:
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)
    result = []
    for digit_a, digit_b in zip(a, b):
        result.append(str(max(int(digit_a), int(digit_b))))

    return ''.join(result)

def lunnar_multiply(a, b):
    z = ''
    for a1 in str(a):
        for b1 in str(b):
            z += str(min(int(a1), int(b1)))

    return z



a = input().strip()
b = input().strip()


lunar_sum = lunar_add(a, b)
lunar_product = lunnar_multiply(a, b)

print(lunar_sum)
print(lunar_product)
