def find_path(a, b):
    for i in range(200):
        if a % i ==0 and b % i == 0:
            a, b = a//i, b//i
            
    path = []
    left_numerator = 0
    left_denominator = 1
    right_numerator = 1
    right_denominator = 0

    while True:
        # Текущая дробь
        current_numerator = left_numerator + right_numerator
        current_denominator = left_denominator + right_denominator

        # Проверка на совпадение
        if current_numerator == a and current_denominator == b:
            return ''.join(path)

        # Проверка на выход за границы
        if current_denominator > 1_000_000:
            return 'no'

        # Сравнение с искомой дробью
        if current_numerator * b < a * current_denominator:
            # Дробь меньше, идем вправо
            path.append('R')
            left_numerator = current_numerator
            left_denominator = current_denominator
        else:
            # Дробь больше, идем влево
            path.append('L')
            right_numerator = current_numerator
            right_denominator = current_denominator


a, b = map(int, input().strip().split())

result = find_path(a, b)
if result == 'no':
    pass
else:
    result  = 'R' + result
print(result)
