def find_path(a, b):
    for i in range(1, 200):
        if a%i == b % i:
            a, b = a//i, b // i
    left_numerator = 0
    left_denominator = 1
    right_numerator = 1
    right_denominator = 0
    path = []

    while True:

        current_numerator = left_numerator + right_numerator
        current_denominator = left_denominator + right_denominator


        if current_numerator == a and current_denominator == b:
            return ''.join(path)

        if current_denominator > 1_000_000:
            return 'no'


        if current_numerator * b < a * current_denominator:

            path.append('R')
            left_numerator = current_numerator
            left_denominator = current_denominator
        else:

            path.append('L')
            right_numerator = current_numerator
            right_denominator = current_denominator


a, b = map(int, input().strip().split())

result = find_path(a, b)
if result == 'no':
    pass
else:
    result  = 'R' + result
print(result)
